<div>
  <h2 id="page-heading" data-cy="ConhecimentoHeading">
    <span jhiTranslate="matrixApp.conhecimento.home.title">Conhecimentos</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="matrixApp.conhecimento.home.refreshListLabel">Atualizar lista</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-conhecimento"
        [routerLink]="['/conhecimento/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="matrixApp.conhecimento.home.createLabel">Criar novo Conhecimento</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="conhecimentos?.length === 0">
    <span jhiTranslate="matrixApp.conhecimento.home.notFound">Nenhum Conhecimento encontrado</span>
  </div>

  <div class="table-responsive table-entities" id="entities" *ngIf="conhecimentos && conhecimentos.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
          <th scope="col" jhiSortBy="id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.conhecimento.id">Id</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="descricao">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.conhecimento.descricao">Descricao</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="competencia.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.conhecimento.competencia">Competencia</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col" jhiSortBy="bloom.id">
            <div class="d-flex">
              <span jhiTranslate="matrixApp.conhecimento.bloom">Bloom</span>
              <fa-icon class="p-1" icon="sort"></fa-icon>
            </div>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let conhecimento of conhecimentos; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/conhecimento', conhecimento.id, 'view']">{{ conhecimento.id }}</a>
          </td>
          <td>{{ conhecimento.descricao }}</td>
          <td>
            <div *ngIf="conhecimento.competencia">
              <a [routerLink]="['/competencia', conhecimento.competencia.id, 'view']">{{ conhecimento.competencia.id }}</a>
            </div>
          </td>
          <td>
            <div *ngIf="conhecimento.bloom">
              <a [routerLink]="['/bloom', conhecimento.bloom.id, 'view']">{{ conhecimento.bloom.id }}</a>
            </div>
          </td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/conhecimento', conhecimento.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Visualizar</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/conhecimento', conhecimento.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Editar</span>
              </button>

              <button type="submit" (click)="delete(conhecimento)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Excluir</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
